exec/cfg.c File Reference
`#include <config.h>`
`#include <sys/types.h>`
`#include <sys/uio.h>`
`#include <sys/socket.h>`
`#include <sys/un.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <stddef.h>`
`#include <limits.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <assert.h>`
`#include <corosync/corotypes.h>`
`#include <qb/qbipc_common.h>`
`#include <corosync/cfg.h>`
`#include <qb/qblist.h>`
`#include <qb/qbutil.h>`
`#include <corosync/mar_gen.h>`
`#include <corosync/totem/totemip.h>`
`#include <corosync/totem/totem.h>`
`#include <corosync/ipc_cfg.h>`
`#include <corosync/logsys.h>`
`#include <corosync/coroapi.h>`
`#include <corosync/icmap.h>`
`#include <corosync/corodefs.h>`
`#include "totemconfig.h"`
`#include "totemknet.h"`
`#include "service.h"`
`#include "main.h"`
Include dependency graph for exec/cfg.c:

Go to the source code of this file.

## Data Structures

struct | cfg_info
struct | req_exec_cfg_ringreenable
struct | req_exec_cfg_reload_config
struct | req_exec_cfg_crypto_reconfig
struct | req_exec_cfg_killnode
struct | req_exec_cfg_shutdown

## Macros

#define | DEFAULT_SHUTDOWN_TIMEOUT 5000

## Enumerations

enum | cfg_message_req_types { MESSAGE_REQ_EXEC_CFG_RINGREENABLE = 0 , MESSAGE_REQ_EXEC_CFG_KILLNODE = 1 , MESSAGE_REQ_EXEC_CFG_SHUTDOWN = 2 , MESSAGE_REQ_EXEC_CFG_RELOAD_CONFIG = 3 , MESSAGE_REQ_EXEC_CFG_CRYPTO_RECONFIG = 4 }

## Functions

| LOGSYS_DECLARE_SUBSYS ("CFG")
struct corosync_service_engine * | cfg_get_service_engine_ver0 (void)

## Variables

struct corosync_service_engine | cfg_service_engine

## Macro Definition Documentation

## DEFAULT_SHUTDOWN_TIMEOUT

#define DEFAULT_SHUTDOWN_TIMEOUT 5000

Definition at line 84 of file exec/cfg.c.

## Enumeration Type Documentation

## cfg_message_req_types

enum cfg_message_req_types

Enumerator
MESSAGE_REQ_EXEC_CFG_RINGREENABLE |
MESSAGE_REQ_EXEC_CFG_KILLNODE |
MESSAGE_REQ_EXEC_CFG_SHUTDOWN |
MESSAGE_REQ_EXEC_CFG_RELOAD_CONFIG |
MESSAGE_REQ_EXEC_CFG_CRYPTO_RECONFIG |

Definition at line 75 of file exec/cfg.c.

## Function Documentation

## cfg_get_service_engine_ver0()

struct corosync_service_engine* cfg_get_service_engine_ver0 | ( | void |  | ) |

Definition at line 287 of file exec/cfg.c.

References cfg_service_engine.

## LOGSYS_DECLARE_SUBSYS()

LOGSYS_DECLARE_SUBSYS | ( | "CFG" |  | ) |

## Variable Documentation

## cfg_service_engine

struct corosync_service_engine cfg_service_engine

Initial value:
= {
.name = "corosync configuration service",
.id = CFG_SERVICE,
.priority = 1,
.private_data_size = sizeof(struct cfg_info),
.flow_control = CS_LIB_FLOW_CONTROL_NOT_REQUIRED,
.allow_inquorate = CS_LIB_ALLOW_INQUORATE,
.lib_init_fn = cfg_lib_init_fn,
.lib_exit_fn = cfg_lib_exit_fn,
.lib_engine = cfg_lib_engine,
.lib_engine_count = sizeof (cfg_lib_engine) / sizeof (struct corosync_lib_handler),
.exec_init_fn = cfg_exec_init_fn,
.exec_engine = cfg_exec_engine,
.exec_engine_count = sizeof (cfg_exec_engine) / sizeof (struct corosync_exec_handler),
.confchg_fn = cfg_confchg_fn
}
CS_LIB_ALLOW_INQUORATE
@ CS_LIB_ALLOW_INQUORATE
Definition: coroapi.h:164
CS_LIB_FLOW_CONTROL_NOT_REQUIRED
@ CS_LIB_FLOW_CONTROL_NOT_REQUIRED
Definition: coroapi.h:153
CFG_SERVICE
@ CFG_SERVICE
Definition: corodefs.h:45
cfg_info
Definition: exec/cfg.c:99
corosync_exec_handler
The corosync_exec_handler struct.
Definition: coroapi.h:475
corosync_lib_handler
The corosync_lib_handler struct.
Definition: coroapi.h:467

Definition at line 187 of file exec/cfg.c.

Referenced by cfg_get_service_engine_ver0().